Bug 1691018 - Fix iotest 226 for local development builds
Summary: Fix iotest 226 for local development builds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: John Snow
QA Contact: aihua liang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-20 16:21 UTC by John Snow
Modified: 2019-08-22 09:20 UTC (History)
7 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-27.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-22 09:20:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2553 None None None 2019-08-22 09:20:42 UTC

Description John Snow 2019-03-20 16:21:51 UTC
iotest 226 does not cope well with being unable to lock /dev/null and creates a lot of spurious errors.

Backport fixes from upstream to quell them on certain kernel configurations.

Comment 3 Miroslav Rezanina 2019-04-25 03:52:51 UTC
Fix included in qemu-kvm-rhev-2.12.0-27.el7

Comment 8 aihua liang 2019-05-17 02:35:08 UTC
Run test 226 on qemu-kvm-rhev-2.12.0-27.el7, it passed. Set bug's status to "Verified".
   #./check 226
QEMU          -- "/home/qemu-kvm/x86_64-softmmu/qemu-system-x86_64" -nodefaults -machine accel=qtest
QEMU_IMG      -- "/home/qemu-kvm/tests/qemu-iotests/../../qemu-img" 
QEMU_IO       -- "/home/qemu-kvm/tests/qemu-iotests/../../qemu-io"  --cache writeback -f raw
QEMU_NBD      -- "/home/qemu-kvm/tests/qemu-iotests/../../qemu-nbd" 
IMGFMT        -- raw
IMGPROTO      -- file
PLATFORM      -- Linux/x86_64 intel-3323-24-1 3.10.0-1044.el7.x86_64
TEST_DIR      -- /home/qemu-kvm/tests/qemu-iotests/scratch
SOCKET_SCM_HELPER -- /home/qemu-kvm/tests/qemu-iotests/socket_scm_helper

226 0s ...
Passed all 1 tests

Comment 11 errata-xmlrpc 2019-08-22 09:20:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2553


Note You need to log in before you can comment on or make changes to this bug.